Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class DiscoveryURL

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.TextNode
            |
            +--weblogic.uddi.client.structures.datatypes.DiscoveryURL

public class DiscoveryURL
extends TextNode

The discoveryURL structure hold a string that is a web adddressaable discovery document.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Fields inherited from class weblogic.uddi.client.structures.datatypes.TextNode
`value`

Constructor Summary
`DiscoveryURL()` Class constructor.
`DiscoveryURL(java.lang.String val)` Class construstor specifying the initialization values.
`DiscoveryURL(java.lang.String ut, java.lang.String val)` Class construstor specifying the initialization values.

Method Summary
`java.lang.String` | `getUseType()` Gets the value of the use type.
`void` | `setUseType(java.lang.String val)` Sets the value of the use type.

Methods inherited from class weblogic.uddi.client.structures.datatypes.TextNode
`getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiscoveryURL

    public DiscoveryURL()

  Class constructor.

### DiscoveryURL

    public DiscoveryURL(java.lang.String val)

  Class construstor specifying the initialization values.

  Parameters:
    `val` - value of the discovery URL.

### DiscoveryURL

    public DiscoveryURL(java.lang.String ut,
                        java.lang.String val)

  Class construstor specifying the initialization values.

  Parameters:
    `ut` - use type of the discovery URL.
    `val` - value of the discovery URL.

Method Detail

### getUseType

    public java.lang.String getUseType()

  Gets the value of the use type.

  Returns:
    the current value of the use type.

### setUseType

    public void setUseType(java.lang.String val)

  Sets the value of the use type.

  Parameters:
    `val` - the new value of the use type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference